
package Text::Wigwam::Stash::Base::Magic::Hash;

use strict;
use warnings;
no warnings 'uninitialized';

our $VERSION = '0.01';

use base 'Text::Wigwam::Stash::Base::Magic';

sub Keys     { [ keys %{$_[1]} ] }
sub Values   { [ values %{$_[1]} ] }
sub Size     { scalar keys %{$_[1]} }

sub DEFAULT  { $_[1]->{$_[2]} }

1;
